clang-tools 8.0.0

Public Attributes | List of all members
clang::clangd::Command Struct Reference

`#include <Protocol.h>`

Inheritance diagram for clang::clangd::Command:
[legend]
Collaboration diagram for clang::clangd::Command:
[legend]

## Public Attributes
std::string | title
Public Attributes inherited from clang::clangd::ExecuteCommandParams
std::string | command
| The command identifier, e.g. CLANGD_APPLY_FIX_COMMAND. More...
llvm::Optional< WorkspaceEdit > | workspaceEdit

## Additional Inherited Members
Static Public Attributes inherited from clang::clangd::ExecuteCommandParams
static const llvm::StringLiteral | CLANGD_APPLY_FIX_COMMAND

## Detailed Description

Definition at line 655 of file Protocol.h.

## Member Data Documentation

## ◆ title

std::string clang::clangd::Command::title

Definition at line 656 of file Protocol.h.

The documentation for this struct was generated from the following file:

- Protocol.h